#include<bits/stdc++.h>
using namespace std;

struct frilenser{
	int a;
	double p;
};

frilenser f[200000];
bool poredjenje(frilenser f1,frilenser f2){
    return f1.p<f2.p;
}

double s[200000];
double m[200000];
int main(){
	int n;
	cin>>n;
	for(int i=0 ; i<n ; i++){
		cin>>f[i].a>>f[i].p;
		s[0]+=f[i].a;
	}
	sort(f,f+n,poredjenje);
	double max;
	cout<<s[0]<<endl;
	
	m[0]=s[0]*(f[0].p/100);
	cout<<m[0]<<endl;
	
	max=m[0];
	for(int i=1 ; i<n ; i++){
		s[i]=s[i-1]-f[i-1].a;
		m[i]=s[i]*(f[i].p/100);
		if(m[i]>max)max=m[i];
	}
	cout<<fixed<<setprecision(3)<<max;
}